MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029658Open CASCADE[OCCT] OCCT:Samplespublic2018-03-28 17:092018-06-29 21:19
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029658: Samples - light is not updated while moving mouse within Viewer3d MFC sample
DescriptionLight definition is not updated during mouse movements, if detected entity is not changed after 0029285.

Problem is not reproduced on OCCT 7.2.0
Problem is reproduced on IR-2017-11-24
Problem is reproduced on IR-WEEK12

Cone of spot light work extremely slowly.
The another option of light works bad and slowly.
Steps To Reproduce- Start Viewer3d sample.
- Add some object (e.g. textured bottle)
- Add Ambient light source
Bug: viewer is not updated until click in viewer / detecting new object.
- Add Positional/Spot/Directional light source
Bug: viewer is not updated during mouse movement.
TagsNo tags attached.
Test case numberNot needed
Attached Filespng file icon Light.png (38,072 bytes) 2018-03-28 17:14

- Relationships
child of 0029285closedbugmaster Visualization, V3d_View::UpdateLights() - eliminate implicit redraw 

-  Notes
(0075224)
git (administrator)
2018-04-08 12:43

Branch CR29658 has been created by kgv.

SHA-1: cc565c496113e3249287f7c1fa7f29b534140464


Detailed log of new commits:

Author: kgv
Date: Sun Apr 8 12:43:24 2018 +0300

    0029658: Samples - light is not updated while moving mouse within Viewer3d MFC sample
    
    Adding missing Viewer redraw calls.
(0075225)
kgv (developer)
2018-04-08 12:43
edited on: 2018-04-08 12:44

Please take/check trivial patch (sample only).

(0075243)
bugmaster (administrator)
2018-04-09 12:13

Checked on IR-WEEK12
(0075341)
git (administrator)
2018-04-11 11:00

Branch CR29658 has been deleted by kgv.

SHA-1: cc565c496113e3249287f7c1fa7f29b534140464

- Related Changesets
occt: master 55791647
Timestamp: 2018-04-08 09:43:24
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029658: Samples - light is not updated while moving mouse within Viewer3d MFC sample

Adding missing Viewer redraw calls.
mod - samples/mfc/standard/04_Viewer3d/src/Viewer3dView.cpp Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-28 17:09 bugmaster New Issue
2018-03-28 17:09 bugmaster Assigned To => kgv
2018-03-28 17:10 bugmaster Summary Light does not work in Viewer3d => Light does not work in Viewer3d mfc sample
2018-03-28 17:10 bugmaster Status new => assigned
2018-03-28 17:10 bugmaster Target Version 7.4.0* => 7.3.0
2018-03-28 17:11 bugmaster Description Updated View Revisions
2018-03-28 17:12 bugmaster File Added: Light.png
2018-03-28 17:12 bugmaster File Deleted: Light.png
2018-03-28 17:14 bugmaster File Added: Light.png
2018-03-28 17:41 bugmaster Description Updated View Revisions
2018-04-08 12:11 kgv Summary Light does not work in Viewer3d mfc sample => Samples - Light does not work in Viewer3d MFC sample
2018-04-08 12:41 kgv Summary Samples - Light does not work in Viewer3d MFC sample => Samples - light is not updated while moving mouse within Viewer3d MFC sample
2018-04-08 12:41 kgv Description Updated View Revisions
2018-04-08 12:41 kgv Steps to Reproduce Updated View Revisions
2018-04-08 12:42 kgv Relationship added child of 0029285
2018-04-08 12:42 kgv Product Version 7.2.0 => 7.3.0
2018-04-08 12:43 kgv Description Updated View Revisions
2018-04-08 12:43 git Note Added: 0075224
2018-04-08 12:43 kgv Note Added: 0075225
2018-04-08 12:43 kgv Assigned To kgv => bugmaster
2018-04-08 12:43 kgv Status assigned => resolved
2018-04-08 12:44 kgv Status resolved => reviewed
2018-04-08 12:44 kgv Note Edited: 0075225 View Revisions
2018-04-09 12:13 bugmaster Note Added: 0075243
2018-04-09 12:13 bugmaster Status reviewed => tested
2018-04-11 07:49 bugmaster Changeset attached => occt master 55791647
2018-04-11 07:49 bugmaster Status tested => verified
2018-04-11 07:49 bugmaster Resolution open => fixed
2018-04-11 11:00 git Note Added: 0075341
2018-04-11 12:06 bugmaster Test case number => Not needed
2018-06-29 21:13 aiv Fixed in Version => 7.3.0
2018-06-29 21:19 aiv Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker